Please consider upgrade to the latest upstream (1.3.2+)

Bug #1533004 reported by Tuomas Jormola on 2016-01-12
34
This bug affects 5 people
Affects Status Importance Assigned to Milestone
virt-manager (Ubuntu)
High
Marc Deslauriers

Bug Description

Would be great to have the latest 1.3.x series in the upcoming 16.04 LTS. Not packaged for Debian/sid yet, though.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in virt-manager (Ubuntu):
status: New → Confirmed
bojo42 (bojo42) wrote :

Yes we should really aim for that and maybe just prepare an update to Debian sid and sync/merge from it. As gizmochicken said on bug 1409309: "The "kvm_hidden=on|off" feature in 1.3.1 is reportedly helpful for those attempting to upgrade from Windows 7 to Windows 10. So that alone may be enough to justify the bump."

I am willing to help and already did packaging on 1.2.1 before it got into Debian, but ended up using the packages only personally. So this time i want guidance and collaboration instead of spending a few hours just for my own packages :)

GizmoChicken (gizmochicken) wrote :

I propose that Ubuntu create an OFFICIAL ppa at which the most recent versions of virt-manager and qemu can be found, much like "ppa:graphics-drivers/ppa" provides an official ppa at which the latest nvidia drivers can be found.

But at least for me, Jacob Zimmermann's ppa (ppa:jacob/virtualisation) has been a reliable source the most recent versions of virt-manager and qemu.

Maybe Jacob Zimmermann's ppa could become an OFFICIAL ppa?

Dimitri John Ledkov (xnox) wrote :

as an avid user i need this...

Changed in virt-manager (Ubuntu):
importance: Undecided → High
assignee: nobody → Dimitri John Ledkov (xnox)
tags: added: s390x
bhat3 (bhat3) wrote :

@Dimitri I was also right before doing the packaging in case no one of the other affected people already gave it a shot. If you start packaging please keep us informed.

As Bojo stated we need to get the package into Debian first, for getting it into xenial.

Marc Deslauriers (mdeslaur) wrote :

I've packaged 1.3.2, and will upload it in a few minutes if it tests ok.

Changed in virt-manager (Ubuntu):
assignee: Dimitri John Ledkov (xnox) → Marc Deslauriers (mdeslaur)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virt-manager - 1:1.3.2-0ubuntu1

---------------
virt-manager (1:1.3.2-0ubuntu1) xenial; urgency=medium

  * Updated to upstream 1.3.2 release. (LP: #1533004)
    - d/p/Make-sure-we-use-a-binary-compatible-version-of-vte.patch:
      removed, no longer required.
    - d/p/leave-mnemonics-alone-on-focus-change.patch: updated to fix bug.
    - d/p/virtinst/use_qxl_for_ubuntu.patch: updated for new version.
    - debian/rules: remove data/gschemas.compiled generated by clean,
      pass --no-update-icon-cache --no-compile-schemas to install.
    - debian/control: added python-requests to Depends.

 -- Marc Deslauriers <email address hidden> Thu, 28 Jan 2016 13:11:39 -0500

Changed in virt-manager (Ubuntu):
status: Confirmed → Fix Released
bojo42 (bojo42) wrote :

@Marc Big THX :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers